Subject: Re: bug#23926: defcustom with STANDARD=<non-pure-expression> gives confusing results

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jul 2016 19:52:36 +0300

> Date: Sat, 9 Jul 2016 14:59:06 +0000 (UTC)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > 2. Is it not a bug that Customize tells you that the value
> > >    was changed outside Customize?  In what way was it
> > >    changed outside Customize?  In fact, it was not even
> > >    changed.
> > 
> > It was changed, 
> 
> The option value was changed?  I don't think so.

Yes, it was changed, because the value returned by the function
changes each time it's called.

> See above.  Do you still think this is not a bug?

Of course, I do.  Maybe you don't realize how many times Emacs
evaluates the value of a defcustom, but I do.